<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AutoImportSettings">
    <option name="autoReloadType" value="SELECTIVE" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="620f20dc-1c8f-4023-b2c0-21951e6a0601" name="更改" comment="" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Interface" />
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="MavenImportPreferences">
    <option name="generalSettings">
      <MavenGeneralSettings>
        <option name="localRepository" value="C:\Server\apache-maven-3.9.9\repository" />
        <option name="userSettingsFile" value="C:\Server\apache-maven-3.9.9\conf\settings.xml" />
      </MavenGeneralSettings>
    </option>
  </component>
  <component name="ProjectColorInfo">{
  &quot;associatedIndex&quot;: 4
}</component>
  <component name="ProjectId" id="2qgqaKFeJqj8rH3EDFk917MFOoH" />
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">{
  &quot;keyToString&quot;: {
    &quot;JUnit.StudentMapperTest.executor&quot;: &quot;Run&quot;,
    &quot;JUnit.StudentMapperTest.test1Select.executor&quot;: &quot;Run&quot;,
    &quot;JUnit.StudentMapperTest.test2Select.executor&quot;: &quot;Run&quot;,
    &quot;JUnit.StudentMapperTest.testDelete.executor&quot;: &quot;Run&quot;,
    &quot;JUnit.StudentMapperTest.testInsert.executor&quot;: &quot;Run&quot;,
    &quot;JUnit.StudentMapperTest.testUpdate.executor&quot;: &quot;Run&quot;,
    &quot;Maven. [org.apache.maven.plugins:maven-archetype-plugin:RELEASE:generate].executor&quot;: &quot;Run&quot;,
    &quot;Maven.p5 [clean].executor&quot;: &quot;Run&quot;,
    &quot;Maven.p5 [compile].executor&quot;: &quot;Run&quot;,
    &quot;Maven.p5 [install].executor&quot;: &quot;Run&quot;,
    &quot;Maven.p5 [org.mybatis.generator:mybatis-generator-maven-plugin:1.4.2:generate].executor&quot;: &quot;Run&quot;,
    &quot;RunOnceActivity.ShowReadmeOnStart&quot;: &quot;true&quot;,
    &quot;kotlin-language-version-configured&quot;: &quot;true&quot;,
    &quot;last_opened_file_path&quot;: &quot;C:/Users/csnf/IdeaProjects/p6&quot;,
    &quot;node.js.detected.package.eslint&quot;: &quot;true&quot;,
    &quot;node.js.detected.package.tslint&quot;: &quot;true&quot;,
    &quot;node.js.selected.package.eslint&quot;: &quot;(autodetect)&quot;,
    &quot;node.js.selected.package.tslint&quot;: &quot;(autodetect)&quot;,
    &quot;nodejs_package_manager_path&quot;: &quot;npm&quot;,
    &quot;settings.editor.selected.configurable&quot;: &quot;preferences.pluginManager&quot;,
    &quot;vue.rearranger.settings.migration&quot;: &quot;true&quot;
  },
  &quot;keyToStringList&quot;: {
    &quot;DatabaseDriversLRU&quot;: [
      &quot;mysql&quot;
    ]
  }
}</component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="C:\Users\csnf\IdeaProjects\p5\src\test\java\com\csnf" />
      <recent name="C:\Users\csnf\IdeaProjects\p5" />
      <recent name="C:\Users\csnf\IdeaProjects\p5\src\main\resources" />
      <recent name="C:\Users\csnf\IdeaProjects\p5\src" />
      <recent name="C:\Users\csnf\IdeaProjects\p5\src\main" />
    </key>
    <key name="MoveFile.RECENT_KEYS">
      <recent name="C:\Users\csnf\IdeaProjects\p5\src\main\java\com\csnf\mapper" />
    </key>
  </component>
  <component name="RunManager" selected="JUnit.StudentMapperTest">
    <configuration name="StudentMapperTest" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="p5" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.csnf.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="com.csnf" />
      <option name="MAIN_CLASS_NAME" value="com.csnf.StudentMapperTest" />
      <option name="METHOD_NAME" value="test2Select" />
      <option name="TEST_OBJECT" value="class" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="StudentMapperTest.test2Select" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="p5" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.csnf.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="com.csnf" />
      <option name="MAIN_CLASS_NAME" value="com.csnf.StudentMapperTest" />
      <option name="METHOD_NAME" value="test2Select" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="StudentMapperTest.testDelete" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="p5" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.csnf.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="com.csnf" />
      <option name="MAIN_CLASS_NAME" value="com.csnf.StudentMapperTest" />
      <option name="METHOD_NAME" value="testDelete" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="StudentMapperTest.testInsert" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="p5" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.csnf.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="com.csnf" />
      <option name="MAIN_CLASS_NAME" value="com.csnf.StudentMapperTest" />
      <option name="METHOD_NAME" value="testInsert" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="StudentMapperTest.testUpdate" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="p5" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.csnf.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="com.csnf" />
      <option name="MAIN_CLASS_NAME" value="com.csnf.StudentMapperTest" />
      <option name="METHOD_NAME" value="testUpdate" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <recent_temporary>
      <list>
        <item itemvalue="JUnit.StudentMapperTest" />
        <item itemvalue="JUnit.StudentMapperTest.testUpdate" />
        <item itemvalue="JUnit.StudentMapperTest.testInsert" />
        <item itemvalue="JUnit.StudentMapperTest.testDelete" />
        <item itemvalue="JUnit.StudentMapperTest.test2Select" />
      </list>
    </recent_temporary>
  </component>
  <component name="SharedIndexes">
    <attachedChunks>
      <set>
        <option value="bundled-jdk-9823dce3aa75-fdfe4dae3a2d-intellij.indexing.shared.core-IU-243.21565.193" />
        <option value="bundled-js-predefined-d6986cc7102b-e768b9ed790e-JavaScript-IU-243.21565.193" />
      </set>
    </attachedChunks>
  </component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="应用程序级" UseSingleDictionary="true" transferred="true" />
  <component name="TaskManager">
    <task active="true" id="Default" summary="默认任务">
      <changelist id="620f20dc-1c8f-4023-b2c0-21951e6a0601" name="更改" comment="" />
      <created>1735094629325</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1735094629325</updated>
      <workItem from="1735094630630" duration="4470000" />
      <workItem from="1735106141809" duration="4674000" />
      <workItem from="1735111248678" duration="6091000" />
      <workItem from="1735117385913" duration="4088000" />
      <workItem from="1735188373552" duration="28000" />
      <workItem from="1735188656207" duration="1679000" />
      <workItem from="1735192861622" duration="1091000" />
      <workItem from="1735193971858" duration="2989000" />
    </task>
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="3" />
  </component>
</project>